Replace one storefront approval routing policy
curl --request PUT \
--url https://api.interchange.io/api/v2/storefront/approval-routing/{kind} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"primaryChannels": [],
"fallbackChannels": [],
"reminderAfterMinutes": 21602,
"escalateAfterMinutes": 43205
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/approval-routing/{kind}"
payload = {
"primaryChannels": [],
"fallbackChannels": [],
"reminderAfterMinutes": 21602,
"escalateAfterMinutes": 43205
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
primaryChannels: [],
fallbackChannels: [],
reminderAfterMinutes: 21602,
escalateAfterMinutes: 43205
})
};
fetch('https://api.interchange.io/api/v2/storefront/approval-routing/{kind}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"storefrontId": "<string>",
"kind": "MEDIA_BUY",
"primaryUserIds": [
"<string>"
],
"fallbackUserIds": [
"<string>"
],
"primaryRoleKeys": [
"ADMIN"
],
"fallbackRoleKeys": [
"ADMIN"
],
"primaryChannels": [
"in_app"
],
"fallbackChannels": [
"in_app"
],
"reminderAfterMinutes": 0,
"escalateAfterMinutes": 0,
"version": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Replace one storefront approval routing policy
Configures explicit role or named-user primary and fallback audiences, delivery channels, and reminder/escalation timing. Customer admins only.
PUT
/
approval-routing
/
{kind}
Replace one storefront approval routing policy
curl --request PUT \
--url https://api.interchange.io/api/v2/storefront/approval-routing/{kind} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"primaryChannels": [],
"fallbackChannels": [],
"reminderAfterMinutes": 21602,
"escalateAfterMinutes": 43205
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/approval-routing/{kind}"
payload = {
"primaryChannels": [],
"fallbackChannels": [],
"reminderAfterMinutes": 21602,
"escalateAfterMinutes": 43205
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
primaryChannels: [],
fallbackChannels: [],
reminderAfterMinutes: 21602,
escalateAfterMinutes: 43205
})
};
fetch('https://api.interchange.io/api/v2/storefront/approval-routing/{kind}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"storefrontId": "<string>",
"kind": "MEDIA_BUY",
"primaryUserIds": [
"<string>"
],
"fallbackUserIds": [
"<string>"
],
"primaryRoleKeys": [
"ADMIN"
],
"fallbackRoleKeys": [
"ADMIN"
],
"primaryChannels": [
"in_app"
],
"fallbackChannels": [
"in_app"
],
"reminderAfterMinutes": 0,
"escalateAfterMinutes": 0,
"version": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Available options:
MEDIA_BUY, CREATIVE_REVIEW, AD_SERVER_APPROVAL, INVENTORY_SHORTFALL Body
application/json
Required array length:
1 - 3 elementsAvailable options:
in_app, email, slack Required array length:
1 - 3 elementsAvailable options:
in_app, email, slack Required range:
5 <= x <= 43200Required range:
10 <= x <= 86400Maximum array length:
25Pattern:
^\d+$Maximum array length:
25Pattern:
^\d+$Maximum array length:
4Available options:
ADMIN, PREMIUM, BASIC Maximum array length:
4Available options:
ADMIN, PREMIUM, BASIC Response
Replace one storefront approval routing policy
Pattern:
^\d+$Pattern:
^\d+$Available options:
MEDIA_BUY, CREATIVE_REVIEW, AD_SERVER_APPROVAL, INVENTORY_SHORTFALL Pattern:
^\d+$Pattern:
^\d+$Available options:
ADMIN, PREMIUM, BASIC Available options:
ADMIN, PREMIUM, BASIC Available options:
in_app, email, slack Available options:
in_app, email, slack Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$